Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.peer.core.qms.prequeue
Class SimulatedJobPreQueue

    java.lang.Object
      lbg.peer.core.qms.prequeue.JobPreQueue
          lbg.peer.core.qms.prequeue.SimulatedJobPreQueue

    public class SimulatedJobPreQueue

extends JobPreQueue

Nested Class Summary

Nested classes/interfaces inherited from class lbg.peer.core.qms.prequeue.JobPreQueue
`JobPreQueue.RequestHolder`

Constructor Summary
`SimulatedJobPreQueue(Peer managed_peer, Scheduler scheduler, boolean enable_ttg)`

Method Summary
`int` | `size()`
`java.lang.String` | `toString()`
`protected void` | `transferJob(JobPreQueue.RequestHolder req)`

Methods inherited from class lbg.peer.core.qms.prequeue.JobPreQueue
`actuallyTransferJob, transferLocalJobToQMS, transferSupplyingTaskToQMS`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimulatedJobPreQueue

    public SimulatedJobPreQueue(Peer managed_peer,
                                Scheduler scheduler,
                                boolean enable_ttg)
                         throws GridException

Throws:
  `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `JobPreQueue`

### size

    public int size()
             throws GridException

  Specified by:
    `size` in class `JobPreQueue`
  Returns:
    nothing
  Throws:
    `GridException` - as size() is not supported in SIM mode

### transferJob

    protected void transferJob(JobPreQueue.RequestHolder req)
                        throws GridException

  Specified by:
    `transferJob` in class `JobPreQueue`
  Throws:
    `GridException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.